ProjectsFiles
Returns the contents of a file (deprecated, use v1 endpoint instead)
Return the raw contents of a file in a project at given commit.
GET
/
api
/
projects
/
beta
/
projects
/
{projectId}
/
files
/
{commitId}
/
{path}
/
content
Returns the contents of a file (deprecated, use v1 endpoint instead)
curl --request GET \
--url https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/files/{commitId}/{path}/content \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/files/{commitId}/{path}/content"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/projects/beta/projects/{projectId}/files/{commitId}/{path}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Id of the project to return files for
Id of a commit in the project repository to list files from
Path in the project's repository to the file. It must be url-encoded and is case-sensitive.
Response
Success. It returns a stream of data with the file content, specifying the appropriate media type based on the file extension in a best-effort basis.
The response is of type file.
Last modified on August 18, 2026
Was this page helpful?
⌘I
Returns the contents of a file (deprecated, use v1 endpoint instead)
